<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (14.0.1) on Wed Aug 25 22:08:27 CEST 2021 -->
<title>Class Hierarchy</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-08-25">
<meta name="description" content="class tree">
<meta name="generator" content="javadoc/TreeWriter">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.js"></script>
</head>
<body class="tree">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="com/zelyvanna/bdoefficiency/package-tree.html">com.zelyvanna.bdoefficiency</a>, </li>
<li><a href="com/zelyvanna/bdoefficiency/controller/package-tree.html">com.zelyvanna.bdoefficiency.controller</a>, </li>
<li><a href="com/zelyvanna/bdoefficiency/model/package-tree.html">com.zelyvanna.bdoefficiency.model</a>, </li>
<li><a href="com/zelyvanna/bdoefficiency/payload/package-tree.html">com.zelyvanna.bdoefficiency.payload</a>, </li>
<li><a href="com/zelyvanna/bdoefficiency/payload/request/package-tree.html">com.zelyvanna.bdoefficiency.payload.request</a>, </li>
<li><a href="com/zelyvanna/bdoefficiency/payload/response/package-tree.html">com.zelyvanna.bdoefficiency.payload.response</a>, </li>
<li><a href="com/zelyvanna/bdoefficiency/repository/package-tree.html">com.zelyvanna.bdoefficiency.repository</a>, </li>
<li><a href="com/zelyvanna/bdoefficiency/security/package-tree.html">com.zelyvanna.bdoefficiency.security</a>, </li>
<li><a href="com/zelyvanna/bdoefficiency/security/jwt/package-tree.html">com.zelyvanna.bdoefficiency.security.jwt</a>, </li>
<li><a href="com/zelyvanna/bdoefficiency/security/services/package-tree.html">com.zelyvanna.bdoefficiency.security.services</a></li>
</ul>
</div>
<div class="contentContainer">
<section class="hierarchy">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li class="circle">java.lang.Object
<ul>
<li class="circle">com.zelyvanna.bdoefficiency.controller.<a href="com/zelyvanna/bdoefficiency/controller/AuthController.html" title="class in com.zelyvanna.bdoefficiency.controller"><span class="typeNameLink">AuthController</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.security.jwt.<a href="com/zelyvanna/bdoefficiency/security/jwt/AuthEntryPointJwt.html" title="class in com.zelyvanna.bdoefficiency.security.jwt"><span class="typeNameLink">AuthEntryPointJwt</span></a> (implements org.springframework.security.web.AuthenticationEntryPoint)</li>
<li class="circle">com.zelyvanna.bdoefficiency.<a href="com/zelyvanna/bdoefficiency/BdoefficiencyApplication.html" title="class in com.zelyvanna.bdoefficiency"><span class="typeNameLink">BdoefficiencyApplication</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.<a href="com/zelyvanna/bdoefficiency/BdoefficiencyApplicationTests.html" title="class in com.zelyvanna.bdoefficiency"><span class="typeNameLink">BdoefficiencyApplicationTests</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.model.<a href="com/zelyvanna/bdoefficiency/model/Character.html" title="class in com.zelyvanna.bdoefficiency.model"><span class="typeNameLink">Character</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.controller.<a href="com/zelyvanna/bdoefficiency/controller/CharacterController.html" title="class in com.zelyvanna.bdoefficiency.controller"><span class="typeNameLink">CharacterController</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.controller.<a href="com/zelyvanna/bdoefficiency/controller/CharacterControllerTest.html" title="class in com.zelyvanna.bdoefficiency.controller"><span class="typeNameLink">CharacterControllerTest</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.model.<a href="com/zelyvanna/bdoefficiency/model/Classe.html" title="class in com.zelyvanna.bdoefficiency.model"><span class="typeNameLink">Classe</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.model.<a href="com/zelyvanna/bdoefficiency/model/ClasseAverage.html" title="class in com.zelyvanna.bdoefficiency.model"><span class="typeNameLink">ClasseAverage</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.controller.<a href="com/zelyvanna/bdoefficiency/controller/ClasseController.html" title="class in com.zelyvanna.bdoefficiency.controller"><span class="typeNameLink">ClasseController</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.controller.<a href="com/zelyvanna/bdoefficiency/controller/ClasseControllerTest.html" title="class in com.zelyvanna.bdoefficiency.controller"><span class="typeNameLink">ClasseControllerTest</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.model.<a href="com/zelyvanna/bdoefficiency/model/ClasseCount.html" title="class in com.zelyvanna.bdoefficiency.model"><span class="typeNameLink">ClasseCount</span></a></li>
<li class="circle">org.springframework.web.filter.GenericFilterBean (implements org.springframework.beans.factory.BeanNameAware, org.springframework.beans.factory.DisposableBean, org.springframework.context.EnvironmentAware, org.springframework.core.env.EnvironmentCapable, javax.servlet.Filter, org.springframework.beans.factory.InitializingBean, org.springframework.web.context.ServletContextAware)
<ul>
<li class="circle">org.springframework.web.filter.OncePerRequestFilter
<ul>
<li class="circle">com.zelyvanna.bdoefficiency.security.jwt.<a href="com/zelyvanna/bdoefficiency/security/jwt/AuthTokenFilter.html" title="class in com.zelyvanna.bdoefficiency.security.jwt"><span class="typeNameLink">AuthTokenFilter</span></a></li>
</ul>
</li>
</ul>
</li>
<li class="circle">com.zelyvanna.bdoefficiency.model.<a href="com/zelyvanna/bdoefficiency/model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model"><span class="typeNameLink">Grind</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.controller.<a href="com/zelyvanna/bdoefficiency/controller/GrindController.html" title="class in com.zelyvanna.bdoefficiency.controller"><span class="typeNameLink">GrindController</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.controller.<a href="com/zelyvanna/bdoefficiency/controller/GrindControllerTest.html" title="class in com.zelyvanna.bdoefficiency.controller"><span class="typeNameLink">GrindControllerTest</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.model.<a href="com/zelyvanna/bdoefficiency/model/GrindItem.html" title="class in com.zelyvanna.bdoefficiency.model"><span class="typeNameLink">GrindItem</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.model.<a href="com/zelyvanna/bdoefficiency/model/Grindspot.html" title="class in com.zelyvanna.bdoefficiency.model"><span class="typeNameLink">Grindspot</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.model.<a href="com/zelyvanna/bdoefficiency/model/GrindspotAverage.html" title="class in com.zelyvanna.bdoefficiency.model"><span class="typeNameLink">GrindspotAverage</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.controller.<a href="com/zelyvanna/bdoefficiency/controller/GrindspotController.html" title="class in com.zelyvanna.bdoefficiency.controller"><span class="typeNameLink">GrindspotController</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.controller.<a href="com/zelyvanna/bdoefficiency/controller/GrindspotControllerTest.html" title="class in com.zelyvanna.bdoefficiency.controller"><span class="typeNameLink">GrindspotControllerTest</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.model.<a href="com/zelyvanna/bdoefficiency/model/GrindspotCount.html" title="class in com.zelyvanna.bdoefficiency.model"><span class="typeNameLink">GrindspotCount</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.model.<a href="com/zelyvanna/bdoefficiency/model/Item.html" title="class in com.zelyvanna.bdoefficiency.model"><span class="typeNameLink">Item</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.controller.<a href="com/zelyvanna/bdoefficiency/controller/ItemController.html" title="class in com.zelyvanna.bdoefficiency.controller"><span class="typeNameLink">ItemController</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.controller.<a href="com/zelyvanna/bdoefficiency/controller/ItemControllerTest.html" title="class in com.zelyvanna.bdoefficiency.controller"><span class="typeNameLink">ItemControllerTest</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.payload.response.<a href="com/zelyvanna/bdoefficiency/payload/response/JwtResponse.html" title="class in com.zelyvanna.bdoefficiency.payload.response"><span class="typeNameLink">JwtResponse</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.security.jwt.<a href="com/zelyvanna/bdoefficiency/security/jwt/JwtUtils.html" title="class in com.zelyvanna.bdoefficiency.security.jwt"><span class="typeNameLink">JwtUtils</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.payload.request.<a href="com/zelyvanna/bdoefficiency/payload/request/LoginRequest.html" title="class in com.zelyvanna.bdoefficiency.payload.request"><span class="typeNameLink">LoginRequest</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.payload.response.<a href="com/zelyvanna/bdoefficiency/payload/response/MessageResponse.html" title="class in com.zelyvanna.bdoefficiency.payload.response"><span class="typeNameLink">MessageResponse</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.payload.<a href="com/zelyvanna/bdoefficiency/payload/ParameterStringBuilder.html" title="class in com.zelyvanna.bdoefficiency.payload"><span class="typeNameLink">ParameterStringBuilder</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.model.<a href="com/zelyvanna/bdoefficiency/model/Role.html" title="class in com.zelyvanna.bdoefficiency.model"><span class="typeNameLink">Role</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.payload.request.<a href="com/zelyvanna/bdoefficiency/payload/request/SignupRequest.html" title="class in com.zelyvanna.bdoefficiency.payload.request"><span class="typeNameLink">SignupRequest</span></a></li>
<li class="circle">org.springframework.boot.web.servlet.support.SpringBootServletInitializer (implements org.springframework.web.WebApplicationInitializer)
<ul>
<li class="circle">com.zelyvanna.bdoefficiency.<a href="com/zelyvanna/bdoefficiency/ServletInitializer.html" title="class in com.zelyvanna.bdoefficiency"><span class="typeNameLink">ServletInitializer</span></a></li>
</ul>
</li>
<li class="circle">com.zelyvanna.bdoefficiency.controller.<a href="com/zelyvanna/bdoefficiency/controller/TestController.html" title="class in com.zelyvanna.bdoefficiency.controller"><span class="typeNameLink">TestController</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.model.<a href="com/zelyvanna/bdoefficiency/model/User.html" title="class in com.zelyvanna.bdoefficiency.model"><span class="typeNameLink">User</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.security.services.<a href="com/zelyvanna/bdoefficiency/security/services/UserDetailsImpl.html" title="class in com.zelyvanna.bdoefficiency.security.services"><span class="typeNameLink">UserDetailsImpl</span></a> (implements org.springframework.security.core.userdetails.UserDetails)</li>
<li class="circle">com.zelyvanna.bdoefficiency.security.services.<a href="com/zelyvanna/bdoefficiency/security/services/UserDetailsServiceImpl.html" title="class in com.zelyvanna.bdoefficiency.security.services"><span class="typeNameLink">UserDetailsServiceImpl</span></a> (implements org.springframework.security.core.userdetails.UserDetailsService)</li>
<li class="circle">org.springframework.security.config.annotation.web.configuration.WebSecurityConfigurerAdapter (implements org.springframework.security.config.annotation.web.WebSecurityConfigurer&lt;T&gt;)
<ul>
<li class="circle">com.zelyvanna.bdoefficiency.security.<a href="com/zelyvanna/bdoefficiency/security/TestSecurityConfig.html" title="class in com.zelyvanna.bdoefficiency.security"><span class="typeNameLink">TestSecurityConfig</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.security.<a href="com/zelyvanna/bdoefficiency/security/WebSecurityConfig.html" title="class in com.zelyvanna.bdoefficiency.security"><span class="typeNameLink">WebSecurityConfig</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
<section class="hierarchy">
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li class="circle">org.springframework.data.repository.query.QueryByExampleExecutor&lt;T&gt;
<ul>
<li class="circle">org.springframework.data.jpa.repository.JpaRepository&lt;T,&#8203;ID&gt; (also extends org.springframework.data.repository.PagingAndSortingRepository&lt;T,&#8203;ID&gt;)
<ul>
<li class="circle">com.zelyvanna.bdoefficiency.repository.<a href="com/zelyvanna/bdoefficiency/repository/CharacterRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository"><span class="typeNameLink">CharacterRepository</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.repository.<a href="com/zelyvanna/bdoefficiency/repository/ClasseRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository"><span class="typeNameLink">ClasseRepository</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.repository.<a href="com/zelyvanna/bdoefficiency/repository/GrindItemRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository"><span class="typeNameLink">GrindItemRepository</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.repository.<a href="com/zelyvanna/bdoefficiency/repository/GrindRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository"><span class="typeNameLink">GrindRepository</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.repository.<a href="com/zelyvanna/bdoefficiency/repository/GrindspotRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository"><span class="typeNameLink">GrindspotRepository</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.repository.<a href="com/zelyvanna/bdoefficiency/repository/ItemRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository"><span class="typeNameLink">ItemRepository</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.repository.<a href="com/zelyvanna/bdoefficiency/repository/RoleRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository"><span class="typeNameLink">RoleRepository</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.repository.<a href="com/zelyvanna/bdoefficiency/repository/UserRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository"><span class="typeNameLink">UserRepository</span></a></li>
</ul>
</li>
</ul>
</li>
<li class="circle">org.springframework.data.repository.Repository&lt;T,&#8203;ID&gt;
<ul>
<li class="circle">org.springframework.data.repository.CrudRepository&lt;T,&#8203;ID&gt;
<ul>
<li class="circle">org.springframework.data.repository.PagingAndSortingRepository&lt;T,&#8203;ID&gt;
<ul>
<li class="circle">org.springframework.data.jpa.repository.JpaRepository&lt;T,&#8203;ID&gt; (also extends org.springframework.data.repository.query.QueryByExampleExecutor&lt;T&gt;)
<ul>
<li class="circle">com.zelyvanna.bdoefficiency.repository.<a href="com/zelyvanna/bdoefficiency/repository/CharacterRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository"><span class="typeNameLink">CharacterRepository</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.repository.<a href="com/zelyvanna/bdoefficiency/repository/ClasseRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository"><span class="typeNameLink">ClasseRepository</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.repository.<a href="com/zelyvanna/bdoefficiency/repository/GrindItemRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository"><span class="typeNameLink">GrindItemRepository</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.repository.<a href="com/zelyvanna/bdoefficiency/repository/GrindRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository"><span class="typeNameLink">GrindRepository</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.repository.<a href="com/zelyvanna/bdoefficiency/repository/GrindspotRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository"><span class="typeNameLink">GrindspotRepository</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.repository.<a href="com/zelyvanna/bdoefficiency/repository/ItemRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository"><span class="typeNameLink">ItemRepository</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.repository.<a href="com/zelyvanna/bdoefficiency/repository/RoleRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository"><span class="typeNameLink">RoleRepository</span></a></li>
<li class="circle">com.zelyvanna.bdoefficiency.repository.<a href="com/zelyvanna/bdoefficiency/repository/UserRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository"><span class="typeNameLink">UserRepository</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
<section class="hierarchy">
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li class="circle">java.lang.Object
<ul>
<li class="circle">java.lang.Enum&lt;E&gt; (implements java.lang.Comparable&lt;T&gt;, java.lang.constant.Constable, java.io.Serializable)
<ul>
<li class="circle">com.zelyvanna.bdoefficiency.model.<a href="com/zelyvanna/bdoefficiency/model/ERole.html" title="enum in com.zelyvanna.bdoefficiency.model"><span class="typeNameLink">ERole</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
